Bug 133748 - Asked twice for timezone (anaconda and firstboot)
Summary: Asked twice for timezone (anaconda and firstboot)
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-date (Show other bugs)
(Show other bugs)
Version: 3
Hardware: athlon Linux
medium
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-27 06:45 UTC by Dee-Ann LeBlanc
Modified: 2007-11-30 22:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-28 15:59:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dee-Ann LeBlanc 2004-09-27 06:45:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040808 Firefox/0.9.3

Description of problem:
It seems to me that I shouldn't be asked for my timezone both in
Anaconda and in the firstboot process (in the NTP screen). I am
guessing that you are migrating it into firstboot so I've filed the
bug against Anaconda. Please move it if I've guessed incorrectly.

Version-Release number of selected component (if applicable):
FC3Test2

How reproducible:
Always

Steps to Reproduce:
1. Install.
2. Enter firstboot.
3.
    

Actual Results:  Asked for time zone in Anaconda and then later in
firstboot, in the NTP section.

Expected Results:  Only asked once.

Additional info:

Comment 1 Jeremy Katz 2004-09-27 18:24:11 UTC
Nils -- this is why timezone has ever only been shown in reconfig mode
of firstboot.  We should probably keep it as such at least for now.

Long-term, I'd love to migrate this out of anaconda, but there are a
couple of little issues that need to be worked out before that's possible.

Comment 2 Nils Philippsen 2004-09-28 11:57:25 UTC
Should be doable -- Adrian, green lights for changing firstboot so
that the date module calls s-c-date for Date&NTP and the timezone
module calls s-c-date for TZ only? I can only presume that firstboot
calls the timezone module only for reconfig.

Comment 3 Nils Philippsen 2004-09-28 15:59:53 UTC
Fixed in firstboot-1.3.27-1 and system-config-date-1.7.10-1.


Note You need to log in before you can comment on or make changes to this bug.